# MeshRefine

Refines the mesh.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode MeshRefine(Mesh mesh, double refinementLimit, PetscTruth interpolate, Mesh *refinedMesh)

Not Collective

### Input Parameters

| mesh | - The original Mesh object
| refinementLimit | - The maximum size of any cell
| interpolate | - Flag to create intermediate mesh elements

### Output Parameter

refinedMesh -The refined Mesh object

### Keywords

mesh, elements

### See Also

MeshCreate(), MeshGenerate()

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html